package com.zehong.system.service.impl;

import java.util.List;
import com.zehong.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TCarTaskMapper;
import com.zehong.system.domain.TCarTask;
import com.zehong.system.service.ITCarTaskService;

/**
 * 巡检车任务Service业务层处理
 * 
 * @author zehong
 * @date 2026-05-15
 */
@Service
public class TCarTaskServiceImpl implements ITCarTaskService 
{
    @Autowired
    private TCarTaskMapper tCarTaskMapper;

    /**
     * 查询巡检车任务
     * 
     * @param id 巡检车任务ID
     * @return 巡检车任务
     */
    @Override
    public TCarTask selectTCarTaskById(Long id)
    {
        return tCarTaskMapper.selectTCarTaskById(id);
    }

    /**
     * 查询巡检车任务列表
     * 
     * @param tCarTask 巡检车任务
     * @return 巡检车任务
     */
    @Override
    public List<TCarTask> selectTCarTaskList(TCarTask tCarTask)
    {
        return tCarTaskMapper.selectTCarTaskList(tCarTask);
    }

    /**
     * 新增巡检车任务
     * 
     * @param tCarTask 巡检车任务
     * @return 结果
     */
    @Override
    public int insertTCarTask(TCarTask tCarTask)
    {
        tCarTask.setCreateTime(DateUtils.getNowDate());
        return tCarTaskMapper.insertTCarTask(tCarTask);
    }

    /**
     * 修改巡检车任务
     * 
     * @param tCarTask 巡检车任务
     * @return 结果
     */
    @Override
    public int updateTCarTask(TCarTask tCarTask)
    {
        return tCarTaskMapper.updateTCarTask(tCarTask);
    }

    /**
     * 批量删除巡检车任务
     * 
     * @param ids 需要删除的巡检车任务ID
     * @return 结果
     */
    @Override
    public int deleteTCarTaskByIds(Long[] ids)
    {
        return tCarTaskMapper.deleteTCarTaskByIds(ids);
    }

    /**
     * 删除巡检车任务信息
     * 
     * @param id 巡检车任务ID
     * @return 结果
     */
    @Override
    public int deleteTCarTaskById(Long id)
    {
        return tCarTaskMapper.deleteTCarTaskById(id);
    }
}
